<script>
import CourseContent from "../../Components/CourseContent.vue";
import {Head, Link} from "@inertiajs/vue3";
import Layout from "../../Layouts/Layout.vue";

export default {
  components: { Head, Link, CourseContent },
  layout: Layout,
}
</script>

<template>
  <Head title="Курс «Python-разработчик»"></Head>
  <div id="wrapper">
    <section id="slide-code">
    <div class="main-banner-area parallax">
      <div class="container">
        <div class="main-banner-content block">
          <h1 data-aos="fade-left">
            <span>Курс «Python-разработчик»</span>
          </h1>
          <div class="desc_course" data-aos="fade-up">
            <p>Курс поможет овладеть основным синтаксисом и принципами языка. Для этого не потребуется специальной подготовки — достаточно знаний по информатике, логике и математике на уровне школьной программы. Кроме основных конструкций в курсе рассмотрены разные подходы к программированию, реализованные на Python. А в последней главе вы прикоснётесь к главной суперсиле языка — большому количеству прикладных библиотек для реализации игр.</p>
          </div>
        </div>
      </div>
    </div>
  </section>
    <section id="course">
    <div class="container">
      <div id="progress">
        <div>
          <p>Общий прогресс изучения</p>
          <div class="shkala">
            <div class="prog_dan">
              <span class="skolko">0</span>
              <span class="iz">/</span>
              <span class="vsego">20</span>
              <span class="tick">параграфов прочитано</span>
            </div>
            <div class="shape3">
              <img src="../../../img/shape-15.png" alt="">
            </div>
            <div class="prog_dan">
              <span class="skolko">0</span>
              <span class="iz">/</span>
              <span class="vsego">260</span>
              <span class="tick">задач выполнено</span>
            </div>
          </div>
        </div>
      </div>
      <div class="course-body">
        <ul class="book__info">
          <li class="book__chapter">
            <h2 class="book__chapter-title">1. Введение</h2>
            <ul class="book__chapter-articles">
              <li class="book__chapter-article">
                <div class="book__article-title-block">
                  <span class="book__article-number">1.1.</span>
                  <div class="book__article-title">
                    <Link href="/lessons/1">Как устроен хендбук</Link>
                  </div>
                </div>
                <div class="book__article-widgets">
                  <div class="article-status">Не прочитан</div>
                </div>
              </li>
              <li class="book__chapter-article">
                <div class="book__article-title-block">
                  <span class="book__article-number">1.2.</span>
                  <div class="book__article-title">
                    <Link href="/lessons/1">Введение</Link>
                  </div>
                </div>
                <div class="book__article-widgets">
                  <div class="article-status ok">Прочитан</div>
                </div>
              </li>
            </ul>
          </li>
          <li class="book__chapter">
            <h2 class="book__chapter-title">2. Базовые конструкции Python</h2>
            <ul class="book__chapter-articles">
              <li class="book__chapter-article">
                <div class="book__article-title-block">
                  <span class="book__article-number">2.1.</span>
                  <div class="book__article-title">
                    <a href="/lesson">Ввод и вывод данных. Операции с числами, строками. Форматирование</a>
                  </div>
                </div>
                <div class="book__article-widgets">
                  <div class="article-status">Не прочитан</div>
                  <div class="article-progress">
											<span class="article-progress__bar">

											</span>
                    <span>
												<span class="progress__first-number_contest">0</span>
												/
												<span class="progress__second-number_contest">20</span>
												<span class="article-progress__label">выполнено</span>
											</span>
                  </div>
                </div>
              </li>
              <li class="book__chapter-article">
                <div class="book__article-title-block">
                  <span class="book__article-number">2.2.</span>
                  <div class="book__article-title">
                    <a href="/lesson">Условный оператор</a>
                  </div>
                </div>
                <div class="book__article-widgets">
                  <div class="article-status">Не прочитан</div>
                  <div class="article-progress">
											<span class="article-progress__bar">

											</span>
                    <span>
												<span class="progress__first-number_contest">0</span>
												/
												<span class="progress__second-number_contest">20</span>
												<span class="article-progress__label">выполнено</span>
											</span>
                  </div>
                </div>
              </li>
              <li class="book__chapter-article">
                <div class="book__article-title-block">
                  <span class="book__article-number">2.3.</span>
                  <div class="book__article-title">
                    <a href="/lesson">Циклы</a>
                  </div>
                </div>
                <div class="book__article-widgets">
                  <div class="article-status">Не прочитан</div>
                  <div class="article-progress">
											<span class="article-progress__bar">

											</span>
                    <span>
												<span class="progress__first-number_contest">0</span>
												/
												<span class="progress__second-number_contest">20</span>
												<span class="article-progress__label">выполнено</span>
											</span>
                  </div>
                </div>
              </li>
              <li class="book__chapter-article">
                <div class="book__article-title-block">
                  <span class="book__article-number">2.4.</span>
                  <div class="book__article-title">
                    <a href="/lesson">Вложенные циклы</a>
                  </div>
                </div>
                <div class="book__article-widgets">
                  <div class="article-status">Не прочитан</div>
                  <div class="article-progress">
											<span class="article-progress__bar">

											</span>
                    <span>
												<span class="progress__first-number_contest">0</span>
												/
												<span class="progress__second-number_contest">20</span>
												<span class="article-progress__label">выполнено</span>
											</span>
                  </div>
                </div>
              </li>
            </ul>
          </li>
          <li class="book__chapter">
            <h2 class="book__chapter-title">3. Коллекции и работа с памятью</h2>
            <ul class="book__chapter-articles">
              <li class="book__chapter-article">
                <div class="book__article-title-block">
                  <span class="book__article-number">3.1.</span>
                  <div class="book__article-title">
                    <a href="/lesson">Строки, кортежи, списки</a>
                  </div>
                </div>
                <div class="book__article-widgets">
                  <div class="article-status">Не прочитан</div>
                  <div class="article-progress">
											<span class="article-progress__bar">

											</span>
                    <span>
												<span class="progress__first-number_contest">0</span>
												/
												<span class="progress__second-number_contest">20</span>
												<span class="article-progress__label">выполнено</span>
											</span>
                  </div>
                </div>
              </li>
              <li class="book__chapter-article">
                <div class="book__article-title-block">
                  <span class="book__article-number">3.2.</span>
                  <div class="book__article-title">
                    <a href="/lesson">Множества, словари</a>
                  </div>
                </div>
                <div class="book__article-widgets">
                  <div class="article-status">Не прочитан</div>
                  <div class="article-progress">
											<span class="article-progress__bar">

											</span>
                    <span>
												<span class="progress__first-number_contest">0</span>
												/
												<span class="progress__second-number_contest">20</span>
												<span class="article-progress__label">выполнено</span>
											</span>
                  </div>
                </div>
              </li>
              <li class="book__chapter-article">
                <div class="book__article-title-block">
                  <span class="book__article-number">3.3.</span>
                  <div class="book__article-title">
                    <a href="/lesson">Списочные выражения. Модель памяти для типов языка Python</a>
                  </div>
                </div>
                <div class="book__article-widgets">
                  <div class="article-status">Не прочитан</div>
                  <div class="article-progress">
											<span class="article-progress__bar">

											</span>
                    <span>
												<span class="progress__first-number_contest">0</span>
												/
												<span class="progress__second-number_contest">20</span>
												<span class="article-progress__label">выполнено</span>
											</span>
                  </div>
                </div>
              </li>
              <li class="book__chapter-article">
                <div class="book__article-title-block">
                  <span class="book__article-number">3.4.</span>
                  <div class="book__article-title">
                    <a href="/lesson">Встроенные возможности по работе с коллекциями</a>
                  </div>
                </div>
                <div class="book__article-widgets">
                  <div class="article-status">Не прочитан</div>
                  <div class="article-progress">
											<span class="article-progress__bar">

											</span>
                    <span>
												<span class="progress__first-number_contest">0</span>
												/
												<span class="progress__second-number_contest">20</span>
												<span class="article-progress__label">выполнено</span>
											</span>
                  </div>
                </div>
              </li>
              <li class="book__chapter-article">
                <div class="book__article-title-block">
                  <span class="book__article-number">3.5.</span>
                  <div class="book__article-title">
                    <a href="/lesson">Потоковый ввод/вывод. Работа с текстовыми файлами. JSON</a>
                  </div>
                </div>
                <div class="book__article-widgets">
                  <div class="article-status">Не прочитан</div>
                  <div class="article-progress">
											<span class="article-progress__bar">

											</span>
                    <span>
												<span class="progress__first-number_contest">0</span>
												/
												<span class="progress__second-number_contest">20</span>
												<span class="article-progress__label">выполнено</span>
											</span>
                  </div>
                </div>
              </li>
            </ul>
          </li>
          <li class="book__chapter">
            <h2 class="book__chapter-title">4. Функции и их особенности в Python</h2>
            <ul class="book__chapter-articles">
              <li class="book__chapter-article">
                <div class="book__article-title-block">
                  <span class="book__article-number">4.1.</span>
                  <div class="book__article-title">
                    <a href="/lesson">Функции. Области видимости. Передача параметров в функции</a>
                  </div>
                </div>
                <div class="book__article-widgets">
                  <div class="article-status">Не прочитан</div>
                  <div class="article-progress">
											<span class="article-progress__bar">

											</span>
                    <span>
												<span class="progress__first-number_contest">0</span>
												/
												<span class="progress__second-number_contest">20</span>
												<span class="article-progress__label">выполнено</span>
											</span>
                  </div>
                </div>
              </li>
              <li class="book__chapter-article">
                <div class="book__article-title-block">
                  <span class="book__article-number">4.2.</span>
                  <div class="book__article-title">
                    <a href="/lesson">Позиционные и именованные аргументы. Функции высших порядков. Лямбда-функции</a>
                  </div>
                </div>
                <div class="book__article-widgets">
                  <div class="article-status">Не прочитан</div>
                  <div class="article-progress">
											<span class="article-progress__bar">

											</span>
                    <span>
												<span class="progress__first-number_contest">0</span>
												/
												<span class="progress__second-number_contest">20</span>
												<span class="article-progress__label">выполнено</span>
											</span>
                  </div>
                </div>
              </li>
              <li class="book__chapter-article">
                <div class="book__article-title-block">
                  <span class="book__article-number">4.3.</span>
                  <div class="book__article-title">
                    <a href="/lesson">Рекурсия. Декораторы. Генераторы</a>
                  </div>
                </div>
                <div class="book__article-widgets">
                  <div class="article-status">Не прочитан</div>
                  <div class="article-progress">
											<span class="article-progress__bar">

											</span>
                    <span>
												<span class="progress__first-number_contest">0</span>
												/
												<span class="progress__second-number_contest">20</span>
												<span class="article-progress__label">выполнено</span>
											</span>
                  </div>
                </div>
              </li>
            </ul>
          </li>
          <li class="book__chapter">
            <h2 class="book__chapter-title">5. Объектно-ориентированное программирование</h2>
            <ul class="book__chapter-articles">
              <li class="book__chapter-article">
                <div class="book__article-title-block">
                  <span class="book__article-number">5.1.</span>
                  <div class="book__article-title">
                    <a href="/lesson">Объектная модель Python. Классы, поля и методы</a>
                  </div>
                </div>
                <div class="book__article-widgets">
                  <div class="article-status">Не прочитан</div>
                  <div class="article-progress">
											<span class="article-progress__bar">

											</span>
                    <span>
												<span class="progress__first-number_contest">0</span>
												/
												<span class="progress__second-number_contest">20</span>
												<span class="article-progress__label">выполнено</span>
											</span>
                  </div>
                </div>
              </li>
              <li class="book__chapter-article">
                <div class="book__article-title-block">
                  <span class="book__article-number">5.2.</span>
                  <div class="book__article-title">
                    <a href="/lesson">Волшебные методы, переопределение методов. Наследование</a>
                  </div>
                </div>
                <div class="book__article-widgets">
                  <div class="article-status">Не прочитан</div>
                  <div class="article-progress">
											<span class="article-progress__bar">

											</span>
                    <span>
												<span class="progress__first-number_contest">0</span>
												/
												<span class="progress__second-number_contest">20</span>
												<span class="article-progress__label">выполнено</span>
											</span>
                  </div>
                </div>
              </li>
              <li class="book__chapter-article">
                <div class="book__article-title-block">
                  <span class="book__article-number">5.3.</span>
                  <div class="book__article-title">
                    <a href="/lesson">Модель исключений Python. Try, except, else, finally. Модули</a>
                  </div>
                </div>
                <div class="book__article-widgets">
                  <div class="article-status">Не прочитан</div>
                  <div class="article-progress">
											<span class="article-progress__bar">

											</span>
                    <span>
												<span class="progress__first-number_contest">0</span>
												/
												<span class="progress__second-number_contest">20</span>
												<span class="article-progress__label">выполнено</span>
											</span>
                  </div>
                </div>
              </li>
            </ul>
          </li>
          <li class="book__chapter">
            <h2 class="book__chapter-title">6. Библиотеки для получения и обработки данных</h2>
            <ul class="book__chapter-articles">
              <li class="book__chapter-article">
                <div class="book__article-title-block">
                  <span class="book__article-number">6.1.</span>
                  <div class="book__article-title">
                    <a href="/lesson">Модули math и numpy</a>
                  </div>
                </div>
                <div class="book__article-widgets">
                  <div class="article-status">Не прочитан</div>
                  <div class="article-progress">
											<span class="article-progress__bar">

											</span>
                    <span>
												<span class="progress__first-number_contest">0</span>
												/
												<span class="progress__second-number_contest">20</span>
												<span class="article-progress__label">выполнено</span>
											</span>
                  </div>
                </div>
              </li>
              <li class="book__chapter-article">
                <div class="book__article-title-block">
                  <span class="book__article-number">6.2.</span>
                  <div class="book__article-title">
                    <a href="/lesson">Модуль pandas</a>
                  </div>
                </div>
                <div class="book__article-widgets">
                  <div class="article-status">Не прочитан</div>
                  <div class="article-progress">
											<span class="article-progress__bar">

											</span>
                    <span>
												<span class="progress__first-number_contest">0</span>
												/
												<span class="progress__second-number_contest">20</span>
												<span class="article-progress__label">выполнено</span>
											</span>
                  </div>
                </div>
              </li>
              <li class="book__chapter-article">
                <div class="book__article-title-block">
                  <span class="book__article-number">6.3.</span>
                  <div class="book__article-title">
                    <a href="/lesson">Модуль requests</a>
                  </div>
                </div>
                <div class="book__article-widgets">
                  <div class="article-status">Не прочитан</div>
                  <div class="article-progress">
											<span class="article-progress__bar">

											</span>
                    <span>
												<span class="progress__first-number_contest">0</span>
												/
												<span class="progress__second-number_contest">20</span>
												<span class="article-progress__label">выполнено</span>
											</span>
                  </div>
                </div>
              </li>
            </ul>
          </li>
        </ul>
      </div>
    </div>
  </section>
  </div>
  <CourseContent />
</template>
